import { IgxPolarLineSeriesBaseComponent } from "./igx-polar-line-series-base-component";
import { PolarSplineAreaSeries } from "./PolarSplineAreaSeries";
import * as i0 from "@angular/core";
/**
 * Represents a IgxDataChartComponent polar spline area series.
*/
export declare class IgxPolarSplineAreaSeriesComponent extends IgxPolarLineSeriesBaseComponent {
    protected createImplementation(): PolarSplineAreaSeries;
    /**
                                 * @hidden
                                 */
    get i(): PolarSplineAreaSeries;
    constructor();
    /**
     * Gets or sets the Stiffness property.
    */
    get stiffness(): number;
    set stiffness(v: number);
    static ngAcceptInputType_stiffness: number | string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxPolarSplineAreaSeriesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxPolarSplineAreaSeriesComponent, "igx-polar-spline-area-series", never, { "stiffness": "stiffness"; }, {}, never, never>;
}
